/**
 * Wrapper class to allow the predator Invariant Analysis module to be integrated with PIPE
 *  @author Manos Papantoniou
 *  @version March 2003
 */

package pipe.modules.predatorInvariantAnalysis;

import pipe.dataLayer.*;
import pipe.modules.*;

public class PredatorInvariantAnalysis implements Module {
  private static final String MODULE_NAME = "Predator Invariant Analysis";

  // empty default constructor
  public PredatorInvariantAnalysis() {}

  /** @return        The module name
   */
  public String getName() {
    return MODULE_NAME;
  }

  // call module's runModule(), no arguments needed (asks user for file to analyse)
  public void run (DataLayer dataObj) {
    try {
    dataObj.savePNML("current.xml");
    }
    catch (Exception e){
      e.printStackTrace();
    }
    Analysis predatorMod = new Analysis();
    predatorMod.runModule();
  }
}
